Get all fact-find sections for a template Run in API Explorer
Ask AI
GET
/api/v2/fact-find/templates/{factFindTemplate_uuid}/sections
curl \
--request GET 'https://api.plannrcrm.com/api/v2/fact-find/templates/6ff8f7f6-1eb3-3525-be4a-3932c805afed/sections' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"data": [
{
"uuid": "8d0fd612-62cd-484a-9d82-35c84bac82bc",
"created_at": "2026-10-30T16:30:06+00:00",
"updated_at": "2026-10-30T16:30:06+00:00",
"fact_find_template": {
"uuid": "fb7a0ff5-fd50-4425-8dd7-7fc4b9b8e3d3",
"created_at": "2026-10-30T16:30:06+00:00",
"updated_at": "2026-10-30T16:30:06+00:00",
"name": "My Fact-Find Template",
"display_name": "Welcome Pack",
"description": "A comprehensive fact-find template for new clients.",
"opening_statement": "Welcome to our fact-find process...",
"closing_statement": "Thank you for completing the fact find",
"is_published": true,
"archived_at": "2026-10-29T16:30:06+00:00",
"is_archived": false,
"is_locked": false,
"active_session_count": 0,
"sections": {
"uuid": "67bbd369-4355-495e-b4b2-db6b67cf29ea",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"name": "Personal Details",
"introduction_html": "<p>Please provide your personal details below.</p>",
"position": 1,
"is_complete": false
}
},
"name": "Personal Details",
"introduction_html": "<p>Please provide your personal details below.</p>",
"position": 1,
"is_complete": false,
"blocks": {
"uuid": "a4f36574-0e6b-4acd-92cf-74221e7e7358",
"created_at": "2026-10-30T16:30:06+00:00",
"updated_at": "2026-10-30T16:30:06+00:00",
"fact_find_section": {
"uuid": "67bbd369-4355-495e-b4b2-db6b67cf29ea",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"name": "Personal Details",
"introduction_html": "<p>Please provide your personal details below.</p>",
"position": 1,
"is_complete": false
},
"name": "Income Details",
"introduction_html": "<p>Please provide your income details below.</p>",
"position": 1
}
}
]
}